Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`names`.`authority`.`FileAuthority``

class documentation

`class FileAuthority(common.ResolverBase): (source)`

Known subclasses: `twisted.names.authority.BindAuthority`, `twisted.names.authority.PySourceAuthority`, `twisted.names.secondary.SecondaryAuthority`

Constructor: `FileAuthority(filename)`

View In Hierarchy

An Authority that is loaded from a file.

This is an abstract class that implements record search logic. To create a functional resolver, subclass it and override the `loadFile` method.

Method | `__init__` | Undocumented
Method | `__setstate__` | Undocumented
Method | `loadFile` | Load DNS records from a file.
Method | `lookupZone` | Perform an AXFR record lookup.
Instance Variable | `__dict__` | Undocumented
Instance Variable | `records` | A mapping of domains (as lowercased `bytes`) to records.
Instance Variable | `soa` | A 2-tuple containing the SOA domain name as a `bytes` and a `dns.Record_SOA`.
Method | `_additionalRecords` | Find locally known information that could be useful to the consumer of the response and construct appropriate records to include in the additional section of that response.
Method | `_cbAllRecords` | Undocumented
Method | `_lookup` | Determine a response to a particular DNS query.
Constant | `_ADDITIONAL_PROCESSING_TYPES` | Record types for which additional processing will be done.
Constant | `_ADDRESS_TYPES` | Record types which are useful for inclusion in the additional section generated during additional processing.
Instance Variable | `_cache` | Undocumented

Inherited from `ResolverBase`:

Method | `exceptionForCode` | Convert a response code (one of the possible values of `dns.Message.rCode` to an exception instance representing it.
Method | `getHostByName` | Resolve the domain name `name` into an IP address.
Method | `lookupAddress` | Perform an A record lookup.
Method | `lookupAddress6` | Perform an A6 record lookup.
Method | `lookupAFSDatabase` | Perform an AFSDB record lookup.
Method | `lookupAllRecords` | Perform an ALL_RECORD lookup.
Method | `lookupAuthority` | Perform an SOA record lookup.
Method | `lookupCanonicalName` | Perform a CNAME record lookup.
Method | `lookupHostInfo` | Perform a HINFO record lookup.
Method | `lookupIPV6Address` | Perform an AAAA record lookup.
Method | `lookupMailBox` | Perform an MB record lookup.
Method | `lookupMailboxInfo` | Perform an MINFO record lookup.
Method | `lookupMailExchange` | Perform an MX record lookup.
Method | `lookupMailGroup` | Perform an MG record lookup.
Method | `lookupMailRename` | Perform an MR record lookup.
Method | `lookupNameservers` | Perform an NS record lookup.
Method | `lookupNamingAuthorityPointer` | Perform a NAPTR record lookup.
Method | `lookupNull` | Perform a NULL record lookup.
Method | `lookupPointer` | Perform a PTR record lookup.
Method | `lookupResponsibility` | Perform an RP record lookup.
Method | `lookupSenderPolicy` | Perform a SPF record lookup.
Method | `lookupService` | Perform an SRV record lookup.
Method | `lookupText` | Perform a TXT record lookup.
Method | `lookupWellKnownServices` | Perform a WKS record lookup.
Method | `query` | Dispatch `query` to the method which can handle its type.
Instance Variable | `typeToMethod` | Undocumented
Method | `_cbRecords` | Undocumented
Class Variable | `_errormap` | A `dict` mapping DNS protocol failure response codes to exception classes which will be used to represent those failures.
Class Variable | `_log` | Undocumented

def __init__(self, filename): (source)
overrides `twisted.names.common.ResolverBase.__init__`
overridden in `twisted.names.secondary.SecondaryAuthority`

Undocumented

def __setstate__(self, state): (source)

Undocumented

def loadFile(self, filename): (source)
overridden in `twisted.names.authority.BindAuthority`, `twisted.names.authority.PySourceAuthority`

Load DNS records from a file.

This method populates the soa and records attributes. It must be overridden in a subclass. It is called once from the initializer.

Parameters
filename | The filename parameter that was passed to the initilizer.
Returns
`None` -- the return value is ignored

def lookupZone(self, name, timeout=10): (source)
from `twisted.internet.interfaces.IResolver`
overrides `twisted.names.common.ResolverBase.lookupZone`

Perform an AXFR record lookup.

NB This is quite different from other DNS requests. See http://cr.yp.to/djbdns/axfr-notes.html for more information.

NB Unlike other `lookup*` methods, the timeout here is not a list of ints, it is a single int.

Parameters
name | DNS name to resolve.
timeout | When this timeout expires, the query is considered failed.
Returns
A `Deferred` which fires with a three-tuple of lists of `twisted.names.dns.RRHeader` instances. The first element of the tuple gives answers. The second and third elements are always empty. The `Deferred` may instead fail with one of the exceptions defined in `twisted.names.error` or with `NotImplementedError`.

__dict__ = (source)

Undocumented

records: `dict` with `bytes` keys = (source)
overridden in `twisted.names.authority.BindAuthority`, `twisted.names.authority.PySourceAuthority`, `twisted.names.secondary.SecondaryAuthority`

A mapping of domains (as lowercased `bytes`) to records.

soa = (source)
overridden in `twisted.names.authority.BindAuthority`, `twisted.names.authority.PySourceAuthority`, `twisted.names.secondary.SecondaryAuthority`

A 2-tuple containing the SOA domain name as a `bytes` and a `dns.Record_SOA`.

def _additionalRecords(self, answer, authority, ttl): (source)

Find locally known information that could be useful to the consumer of the response and construct appropriate records to include in the additional section of that response.

Essentially, implement RFC 1034 section 4.3.2 step 6.

Parameters
answer | A `list` of the records which will be included in the answer section of the response.
authority | A `list` of the records which will be included in the authority section of the response.
ttl | The default TTL for records for which this is not otherwise specified.
Returns
A generator of `dns.RRHeader` instances for inclusion in the additional section. These instances represent extra information about the records in `answer` and `authority`.

def _cbAllRecords(self, results): (source)

Undocumented

def _lookup(self, name, cls, type, timeout=None): (source)
overrides `twisted.names.common.ResolverBase._lookup`
overridden in `twisted.names.secondary.SecondaryAuthority`

Determine a response to a particular DNS query.

Parameters
name:`bytes` | The name which is being queried and for which to lookup a response.
cls:`int` | The class which is being queried. Only IN is implemented here and this value is presently disregarded.
type:`int` | The type of records being queried. See the types defined in `twisted.names.dns`.
timeout | All processing is done locally and a result is available immediately, so the timeout value is ignored.
Returns
A `Deferred` that fires with a `tuple` of three sets of response records (to comprise the answer, authority, and additional sections of a DNS response) or with a `Failure` if there is a problem processing the query.

_ADDITIONAL_PROCESSING_TYPES = (source)

Record types for which additional processing will be done.

Value

    (dns.CNAME, dns.MX, dns.NS)

_ADDRESS_TYPES = (source)

Record types which are useful for inclusion in the additional section generated during additional processing.

Value

    (dns.A, dns.AAAA)

_cache: `dict` = (source)

Undocumented